> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nameshouts.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Multiple Names with Language

```http GET theme={"system"}
GET https://api.nameshouts.com/api/v2.0/name/albert-einstein/german
```

This request returns the info for names that are available in NameShouts for a particular language. The array object contains information about the names searched for the given language.

## Authorization

| Bearer Token | |
| - | - |
| Token | `{{token}}` |

## Path parameters

**names** `string`

Example: `albert-einstein`

**language** `string`

Example: `german`

## Examples

### Get Albert Einstein in German

**Example Request**

```bash curl theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert-einstein/german'
```

**Example Response** · `200 OK`

```json Body theme={"system"}
{
    "activity_count": {
        "id": 27157,
        "created_at": "2022-08-04 02:50:51",
        "updated_at": "2022-08-10 02:34:47",
        "user_id": 30508,
        "count": 46,
        "limit": 50
    },
    "name_res": [
        {
            "id": 33736,
            "name": "Albert",
            "name_phonetic": "al-behrt",
            "gender": "male",
            "language_id": 28,
            "path_directory": "albert_de",
            "public": 1,
            "created_at": "2020-06-30 00:08:00",
            "updated_at": "2020-06-30 00:08:00"
        },
        {
            "id": 34408,
            "name": "Einstein",
            "name_phonetic": "ain-shtain",
            "gender": "male",
            "language_id": 28,
            "path_directory": "einstein_de",
            "public": 1,
            "created_at": "2020-06-30 00:08:00",
            "updated_at": "2020-06-30 00:08:00"
        }
    ]
}
```

**Headers (6)**

| Key | Value |
| - | - |
| Server | nginx/1.14.0 (Ubuntu) |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Cache-Control | no-cache, private |
| Date | Wed, 10 Aug 2022 02:34:47 GMT |

```bash cURL theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert-einstein/german' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```

```json Get Albert Einstein in German (200) theme={"system"}
{
    "activity_count": {
        "id": 27157,
        "created_at": "2022-08-04 02:50:51",
        "updated_at": "2022-08-10 02:34:47",
        "user_id": 30508,
        "count": 46,
        "limit": 50
    },
    "name_res": [
        {
            "id": 33736,
            "name": "Albert",
            "name_phonetic": "al-behrt",
            "gender": "male",
            "language_id": 28,
            "path_directory": "albert_de",
            "public": 1,
            "created_at": "2020-06-30 00:08:00",
            "updated_at": "2020-06-30 00:08:00"
        },
        {
            "id": 34408,
            "name": "Einstein",
            "name_phonetic": "ain-shtain",
            "gender": "male",
            "language_id": 28,
            "path_directory": "einstein_de",
            "public": 1,
            "created_at": "2020-06-30 00:08:00",
            "updated_at": "2020-06-30 00:08:00"
        }
    ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.